%define version   2.11
%define release   %mkrel 2

Name:      kimera
Summary:   Another input method for Japanese
Version:   %{version}
Release:   %{release}
Group:     System/Internationalization
License:   GPL
URL:       http://kimera.sourceforge.jp/
Source0:   http://prdownloads.sourceforge.jp/kimera/17746/%{name}-%{version}.tar.gz
Patch0:    kimera-1.40-gcc43.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:        anthy, prime
BuildRequires:   anthy-devel, prime
BuildRequires:   qt4-devel

%description
Kimera is another input method for Japanese.
It supports Anthy.

%prep
%setup -q

%build
%qmake_qt4 target.path="%{_libdir}/%{name}"
%make

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=%buildroot

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README*
%{_bindir}/kimera
%{_libdir}/kimera


%changelog
* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 2.11-2mdv2011.0
+ Revision: 612609
- the mass rebuild of 2010.1 packages

* Fri Feb 19 2010 Funda Wang <fwang@mandriva.org> 2.11-1mdv2010.1
+ Revision: 508512
- New version 2.11

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Jun 02 2007 Funda Wang <fwang@mandriva.org> 1.40-1mdv2008.0
+ Revision: 34645
- New version
- Import kimera




* Thu May 11 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.32-2mdk
- fix build on x86_64 (and build with upcoming modularized xorg btw)

* Sat Apr 15 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.32-1mdk
- new release
- remove patch0 (merged upstream)

* Tue Mar 28 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.31-2mdk
- add patch0

* Fri Mar 24 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.31-1mdk
- new release

* Sun Feb 05 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.3-1mdk
- new release
- kimera-1.3 supports UTF-8

* Wed Jan 11 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.2-1mdk
- first spec for Mandriva Linux
